package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.AchievementOrder;

public interface AchievementOrderMapper {
	int deleteByPrimaryKey(String id);

	int insert(AchievementOrder record);

	int insertSelective(AchievementOrder record);

	AchievementOrder selectByPrimaryKey(String id);

	int updateByPrimaryKeySelective(AchievementOrder record);

	int updateByPrimaryKey(AchievementOrder record);

	List<AchievementOrder> selectAchievementOrderByUidAndAchievementId(String uid, String achievementId);

	List<AchievementOrder> selectAchievementOrderByAchievementId(String achievementId);
}